\version "2.19.0"

\header {
  title = "The Hills of Glenorchy"
  meter = "March"
  enteredby = "kastdeur"
}

global = {
  \key d \major
  \time 6/8
}

bpm = \tempo 4. = 90

%thrwd = {}
%grip  = {}
%hdbld = {}
%hdble = {}
%hdblf = {}
%taor  = {}
%dblg  = {}
%dblb  = {}
%dbld  = {}
%dble  = {}
%dblf  = {}
%grA   = {}
%grg   = {}
%gre   = {}
%grd   = {}
%wbirl = {}

\include "bagpipe-fixed.ly"


fluteA = \fixed c'' {
	a8 |
	\hdble e4 a,8 \grg a,4 \taor a,8 |
	\grg e4 \grip e8 \dblg g4 d8 |
	\dblb b,8. \gre a,16 \grd b,8  \grg g,8. \grd g,16 \gre g,8 |
	\grg b,16 \grd g,8. \grd b,8  \thrwd d4 fis8 |

	\dble e4 a,8 \grg a,4 \taor a,8 |
	\grg e4 \grip e8 \dblg g4 a8 |
	g16 \grA e8. g8  \hdbld d8. b,16 \grd g,8  |
	\grg a,4 \taor a,8 \wbirl a,4
}
fluteB = \fixed c'' {
	\grg b,32 d16. |
	\grg e8. fis16 e8 \dble e8. d16 \gre b,8 |
	\grg e8. fis16 g8 \hdblf fis4 e8 |
	\thrwd d8. e16 d8 \dbld d8. b,16 \grd g,8 |
	\thrwd d8. e16 \grg d8 \dblf fis8. e16 d8 |

	\grg e8. fis16 e8  \dble e8. d16 \gre b,8 |
	\grg e8. fis16 g8  \hdblf fis4 e8 |
	d16 \gre b,8. \dblg g8  \hdbld d8. b,16 \grd g,8 |
	\grg a,4 \taor a,8 \wbirl a,4
}

flute = \relative c'' {
  \global
  \repeat volta 2 { \partial 8 \fluteA s8 }
  \break
  \repeat volta 2 { \partial 8 \fluteB  s8}
}

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \flutePart
  >>
  \layout { }
}
\score {
  \new Staff \with {
	instrumentName = "Fl."
	midiInstrument = "flute"
  } {
	\global
	\partial 8
	\fluteA \fluteA
	\fluteB \fluteB
  }
  \midi {
	\bpm
  }
}
