﻿\version "2.16.0"

\include "tinwhistle.ily"

\header {
	meter = "March"
	title = "Pipe Major Donald MacLean of Lewis"
	composer = "Donald MacLeod"
}

global = {
	\key d \major
	\time 6/8
}

bpm = \tempo 4. = 90

grg = {}
gre = {}
grd = {}
gra = {}

dblA = {}
dble = {}
dblg = {}

hdble = {}
thrwd = {}
wbirl = {}
gbirl = {}

%\include "tinwhistle-bagpipe-embellishments.ily"


fluteAA = \fixed c'' {
	e8 |
	\grg a,8. \grd b,16 \gre g,8 \grg a,4. |
	\dble e8. d16 g8 \hdble e8. d16 b,8 |
	\grg a,8. \grd b,16 \gre a,8 \grg g,4 \grd b,8 |
	\thrwd d4 e8 \dble e8. d16 b,8 |
}
fluteAB = \fixed c'' {
	\grg a,8. \grd b,16 \gre g,8 \grg a,4. |
	\dble e8. d16 g8 \hdble e8. d16 b,8 |
	\grg g,8. \grd b,16 g8 \hdble e8. d16 b,8 |
	\grg a,4. \wbirl a,4 \tag #'midiRemove { s8 |} 
}

fluteBA = \fixed c'' {
	\dblg g8 |
	\dblA a4 e8 \gra e4 \dblg g8 |
	a8. e16 \gra e8 \dble e8. d16 b,8 |
	\grg a,8. \grd b,16 \gre a,8 \grg g,4 \grd b,8 |
	\thrwd d4 e8 \dble e8. d16 b,8 |
}
fluteBBA = \fixed c'' {
	\dblA a4 e8 \gra e4 \dblg g8
	a8. e16 \gra e8 \dble e8. d16 b,8
	\grg g,8. \grd b,16 g8 \hdble e8. d16 b,8
	\grg a,4. \wbirl a,4 \tag #'midiRemove { s8 |} 
}
fluteBBB = \fluteAB

fluteCA = \fixed c'' {
	e8 |
	\grg a,8. e16 \gra e8 \grg d8. e16 \gra e8 |
	\grg a,8. e16 \gra e8 \dble e8. d16 b,8 |
	\grg a,8. \grd b,16 \gre a,8 \grg g,8. \grd g,16 \gre g,8 |
	\grg b,16 d8. e8 \dble e8. d16 b,8 |
}
fluteCB = \fixed c'' {
	\grg a,8. e16 \gra e8 \grg d8. e16 \gra e8 |
	\grg a,8. e16 \gra e8 \dble e8. d16 b,8 |
	\grg g,8. \grd b,16 g8 \hdble e8. d16 b,8 |
	\grg a,4. \wbirl a,4  \tag #'midiRemove { s8 |} 
}

fluteDA = \fixed c'' {
	e8 |
	\gbirl a,4 a8 \grg a8. g16 a8 |
	g8. e16 \gra e8 \dble e8. d16 b,8 |
	\grg a,8. \grd b,16 \gre a,8 \grg g,4 \grd b,8 |
	\thrwd d4 e8 \dble e8. d16 b,8 |
}
fluteDBA = \fixed c'' {
	\gbirl a,4 a8 \grg a8. g16 a8
	g8. e16 \gra e8 \dble e8. d16 b,8
	\grg g,8. \grd b,16 g8 \hdble e8. d16 b,8
	\grg a,4. \wbirl a,4 \tag #'midiRemove { s8 |} 
}
fluteDBB = \fluteAB

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} {
	\global
	\repeat volta 2 { \partial 8 \fluteAA \fluteAB }
	\break
	\repeat volta 2 { \partial 8 \fluteBA }
	\alternative { \fluteBBA \fluteAB }
	\bar "||"
	\break
	\repeat volta 2 { \partial 8 \fluteCA \fluteCB }
	\break
	\repeat volta 2 { \partial 8 \fluteDA }
	\alternative { \fluteDBA \fluteAB }
	\bar "|."
}

\score {
	<<
		\flutePart
	>>
	\layout { }
}

\score {
	\unfoldRepeats \removeWithTag #'midiRemove {
		\flutePart
	}
	\midi {
		\bpm
	}
}
