\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "The Blue Remembered Hills"
  composer = "S. Hannigan"
  meter = "Slow Air"
  enteredby = "kastdeur"
  number = "114"
  source = "The Low Whistle Book"
}

global = {
  \key g \major
  \time 3/4
}

bpm = \tempo 4 = 80

fluteA = \relative c'' {
	% b4 |
	e2 b4 |
	fis'2 b,4 |
	g'4. fis8 e8 es8 |
	b4\fermata r4 b8 a8 |
	g2 fis8 g8 |

	a2 e'8 es8 |
	b2.~ |
	b2.\fermata |
	g'2 a4 |
	fis2 g8 fis8 |
	e4 b2 |
	b2 a4 |
	c2 a4 |
	fis2 e4 |
	e2.
}
fluteB = \relative c'' {
	e2 fis8 g8 |
	b,2. |
	g4 fis4 e4 |
	c'2. |
	g'2 a4 |
	fis2 g8 fis8 |
	e2 es8 e8 |
	fis2\fermata b,4 |
	\break

	c2 a4 |
	fis2 c'4 |
	b2 g4 |
	e2. |
	fis'2 e8 fis8 |
	% g2 fis4 |
	% e2.
}

flute = \relative c'' {
  \global
  \partial 4	b4
  \repeat volta 2 { \fluteA }
  \break
  \repeat volta 2 { \fluteB }
  \alternative {
	{ g'2 fis4 }
	{ e2. \bar "|." e2 r4 }
  }

}
flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \flutePart
  >>
  \midi {
	\bpm
  }
}
