\version "2.19.80"

\header {
  title = "Green Hills of France / No Man's Land"
  meter = "Air"
  enteredby = "kastdeur"
  number = ""
}

global = {
  \key d \major
  \time 3/4
}

bpm = \tempo 2 = 50

fluteA = \relative c'' {
  a4 |
  a2 a8 a8 |
  d2 d4 |
  b8 b4. g4 |
  e2 d'8 d8 |
  cis4. cis8 d4 |
  e8 fis4. e4 |
  d4. g,8 b4 |
  a2

  r8 a8 |
  a2 a8 a8 |
  d2 d8 d8 |
  b8 b4. g4 |
  e2 d'8 d8 |
  cis4. cis8 d4 |
  e2 fis8( e8) |
  d4 d4. e8 |
  d2.

  r2 a4 |
  a'4 a4. a8 |
  a8 g4. g8 fis8 |
  e4 e4 fis4 |
  g2 g8 fis8 |
  e4. e8 fis4 |
  g8 fis4. e4 |
  d4 d4 fis4 |
  e2.~ |
  e4

  r4 a4 |
  a4 a4 a4 |
  a2 g8 fis8 |
  e4 e4 d4 |
  b2 d8 d8 |
  e4 e4. fis8 |
  g2 fis8 e8 |
  d4 d4 e4 |
  d2

}
fluteChorus = \relative c'' {
  d8 d8 |
  e4. e8 e4 |
  e4 fis4 fis8 fis8 |
  g4. a8 g4 |
  fis8( e8) d4 d8 d8 |
  e4. e8 e4 |
  e2 fis8 fis8 |
  g4. a8 fis4 |
  e2.~ |
  e4

  r4 g8 g8 |
  g4 g4. g8 |
  g4 a4 g4 |
  fis2( e4) |
  d4 r4 fis8 e8 |
  d2 e8 fis8 |
  g2 g8 fis8 |
  e4.( d8 cis4) |
  d2.~ |
  d2

}



lyricsverseA = \lyricmode {
  \set stanza = #"1."
  Oh how do you do, young Wil -- lie Mc -- Bride,
  Do you mind if I sit here down by your grave -- side?
  And rest for a -- while, 'neath the warm sum -- mer sun,
  I've been wal -- king all day, and I'm near -- ly done.

  I see by your grave -- stone you were on -- ly nine -- teen
  when you joined the great fal -- len in nine -- teen six -- teen.
  I hope you died quick and I hope you died clean,
  or, young Wil -- lie Mc -- Bride, was it slow and ob -- scene?
}
lyricsverseAblock = \markup { \column {
  \line \bold \bold { 1. }
  \line{Oh how do you do, young Willie McBride,}
  \line{Do you mind if I sit here down by your graveside?}
  \line{And rest for awhile, 'neath the warm summer sun,}
  \line{I've been walking all day, and I'm nearly done.}
  \line{I see by your gravestone you were only nineteen}
  \line{when you joined the great fallen in nineteen sixteen.}
  \line{I hope you died quick and I hope you died clean,}
  \line{or, young Willie McBride, was it slow and obscene?}
}}

lyricsChorus = \lyricmode {
  \set stanza = #"Chorus"
  Did they beat the drum slow -- ly,
  Did they play the fife low -- ly?
  Did they sound the death march,
  as they low -- ered you down?

  Did the band play the Last Post in cho -- rus?
  Did the pipes play the Flowers of the Fo -- rest?
}
lyricsChorusblock = \markup { \column {
  \line \bold \bold { Chorus }
  \line{Did they beat the drum slow -- ly,}
  \line{Did they play the fife low -- ly?}
  \line{Did they sound the death march,}
  \line{as they low -- ered you down?}

  \line{Did the band play the Last Post in cho -- rus?}
  \line{Did the pipes play the Flowers of the Fo -- rest?}
} }

lyricsverseB = \lyricmode {
  \set stanza = #"2."
  And did_you leave a wife or_a sweet -- heart be -- hind
  In _ some lo -- yal heart is your mem -- ory en -- shrined
  And though you _ died back in nine -- teen six -- teen
  To _ that loy -- al heart you're for -- ever nine -- teen
  Or are you a strang -- er with -- out e -- ven a name
  For _ -- ever en -- shrined be -- hind  _ some old glass pane
  In an old _ photo -- graph torn, tattered, and stained
  And faded to yellow in a brown leath -- er frame
}
lyricsverseBblock = \markup { \column {
  \line \bold \bold { 2. }
  \line{And did you leave a wife or a sweetheart behind}
  \line{ In some loyal heart is your memory enshrined}
  \line{And though you died back in nineteen sixteen}
  \line{To that loyal heart you're forever nineteen}
  \line{Or are you a stranger without even a name}
  \line{For  ever enshrined behind  some old glass pane}
  \line{In an old photograph torn, tattered, and stained}
  \line{And faded to yellow in a brown leather frame}
}}

lyricsverseC = \lyricmode {
  \set stanza = #"3."
  The sun's shining down on these green fields of France
  The warm wind blows gently and the red poppies dance
  The trenches have vanished long under the plow
  No gas, no barbed wire, no guns firing now
  But here in this graveyard that's still no mans land
  The countless white crosses in mute witness stand
  To man's blind indifference to his fellow man
  And a whole generation were butchered and damned
}
lyricsverseCblock = \markup { \column {
  \line \bold \bold { 3. }
  \line{The sun's shining down on these green fields of France}
  \line{The warm wind blows gently and the red poppies dance}
  \line{The trenches have vanished long under the plow}
  \line{No gas, no barbed wire, no guns firing now}
  \line{But here in this graveyard that's still no mans land}
  \line{The countless white crosses in mute witness stand}
  \line{To man's blind indifference to his fellow man}
  \line{And a whole generation were butchered and damned}
}}

lyricsverseD = \lyricmode {
  \set stanza = #"4."
  And I can't help but wonder oh Willy McBride
  Do all those who lie here know why they died
  Did you really believe them when they told you the cause
  Did you really believe that this war would end wars
  Well the suffering, the sorrow, the glory, the shame
  The killing and dying it was all done in vain
  Oh Willy McBride it all happened again
  And again, and again, and again, and again
}
lyricsverseDblock = \markup { \column {
  \line \bold \bold { 4. }
  \line{And I can't help but wonder oh Willy McBride}
  \line{Do all those who lie here know why they died}
  \line{Did you really believe them when they told you the cause}
  \line{Did you really believe that this war would end wars}
  \line{Well the suffering, the sorrow, the glory, the shame}
  \line{The killing and dying it was all done in vain}
  \line{Oh Willy McBride it all happened again}
  \line{And again, and again, and again, and again}
}}


flute = \relative c'' {
  \global
  \partial 4
  \fluteA
  \bar "||" \break
  \fluteChorus
  \bar "||"
}

flutePart = \new Staff = "flute" \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute
\addlyrics {
  \lyricsverseA
  \lyricsChorus
}

\score {
  \removeWithTag #'printRemove <<
    \transpose d d \flutePart
  >>
  \layout { }
}

\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \flutePart
  >>
  \midi {
	\bpm
  }
}
\markup {
  \wordwrap {
    \lyricsverseBblock
    \lyricsverseCblock
    \lyricsverseDblock
  }
}
