\version "2.19.80"

\header {
  title = "The Unicorn"
  composer = "The Tannahill Weavers"
  arranger = "E.T. de Boone"
  meter = "Air"
  enteredby = "kastdeur"
  number = ""
  dedication = "Play the first part once, repeat the song whole, play the fourth part"
}

global = {
  \key g \major
  \time 6/8
}

bpm = \tempo 4. = 50

fluteA = \relative c' {
	e4 fis8	g8. a16 b8 |
	a16 d8. c8	b4 a8 |
	b4 e,8 e8. fis16 g8 |
	fis4 e8 fis8. g16 a8 |

	b4 e,8	g4 a8 |
	fis4 e8	d8. g16 a8 |
	b8. a16 g8	fis8 g8 a8 |
	b8 d,8 fis8	e4
}
fluteB = \relative c'' {
	b8 |
	g8. a16 b8	e,8. a16 b8 |
	c8. e,16 a8	fis8. e16 d8 |
	e8. fis16 g8	c,8. d16 e8 |
	d8 a'8 g8	fis8. e16 d8 |


	g8. a16 b8	e,8. a16 b8 |
	c8. e,16 a8	fis8. g16 a8 |
	b8. a16 g8	fis8 g8 a8 |
	b8 d,8 fis8	e4
}
fluteC = \relative c'' {
	b8 |
	e,8. e16 e8	b'8 e,8 d'8 |
	e,8. e16 e8	d'8 e,8 b'8 |
	a8. b16 g8	fis8. g16 e8 |
	d8. fis16 a8	b8. a16 b8 |

	e,8. e16 e8	b'8 e,8 d'8 |
	e,8. e16 e8	d'8 e,8 b'8 |
	b8. a16 g8	fis8 g8 a8 |
	b8 d,8 fis8	e4
}
fluteD = \relative c'' {
	b8 |
	d4 c8	b8. a16 g8 |
	b8. c16 d8	b8. a16 g8 |
	c4 b8	a8. b16 g8 |
	fis8. g16 e8	fis8. g16 a8 |

	b4 e,8	e4 d8 |
	c8. d16 e8	g8. a16 b8 |
	d8. c16 b8	c8. e,16 a8 |
	d,16 g8. fis8	e4
}

flute = \relative c'' {
  \global

  \fluteA \tag #'midiRemove s8
  \bar "||"
  \break
  \tag #'midiRemove { \partial 8 }
  \fluteB \tag #'midiRemove s8
  \bar "||"
  \break
  \tag #'midiRemove { \partial 8 }
  \fluteC \tag #'midiRemove s8
  \bar "||"
  \break
  \tag #'midiRemove { \partial 8 }
  \fluteD \tag #'midiRemove s8
  \bar "|."
}

flutePart = \new Staff = "flute" \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  \removeWithTag #'printRemove <<
    \transpose g d' \flutePart
  >>
  \layout { }
}

\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \flutePart
  >>
  \midi {
	\bpm
  }
}