\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "Alexander's Hornpipe"
  meter = "Hornpipe"
  enteredby = "kastdeur"
  number = "62"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key d \major
  \time 4/4
}

bpm = \tempo 4 = 80

fluteA = \relative c'' {
  \repeat unfold 2 {
    fis8. e16 |
    d8. a16 fis8. a16	d,8. fis16 a8. d16 |
    fis8. d16 cis8. d16	a4 \breathe
  } \alternative {
      \relative c'' {
        e8. fis16 |
        g4.-\lroll e8	fis8. d16 cis8. d16 |
        \tuplet 3/2 { e8 fis e } \tuplet 3/2 { d8 cis b }	a4 \breathe
      }
      \relative c'' {
        e8. fis16 |
        g4.-\lroll e8	fis8. d16 cis8. d16 |
        \tuplet 3/2 { e8 fis e } d8. cis16	a4 \breathe
      }
  }
        
  
}
fluteB = \relative c'' {
  a8. g16 |
  \repeat unfold 2 {
     fis8. a16 d8. a16	fis8. a16 d8. a16 |
     g8. b16 d8. b16	g8. b16 d4 \breathe |
  } \alternative {
    { 
      a8. cis16 e8. cis16	a8. cis16 e8. cis16 |
      d8. fis16 a8. fis16	g8. e16 \tuplet 3/2 { fis8 e d } |
    }
    {
      a8. cis16 e8. fis16	g8. e16 cis8. d16 |
      e8. d16 d8. cis16	d4 \breathe
    }
  }
}

flute = \relative c'' {
  \global
  \repeat volta 2 {\partial 4 \fluteA \tag #'midiRemove s4}
  \break
  \repeat volta 2 {\partial 4 \fluteB \tag #'midiRemove s4}
}
chordA = \chordmode {
  d4 | 
  d1 | b2:m a2 | g2 d2 | e2:m a2 |
  d1 | b2:m a2 | g2 d2 | a2 d4    
}
chordB = \chordmode {
  d4 |
  d1 | g1 | a1 | d2 a2 |
  d1 | g1 | a1 | g2 d4
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \repeat volta 2 {\partial 4 \chordA \tag #'midiRemove s4 }
  \repeat volta 2 {\partial 4 \chordB \tag #'midiRemove s4 }
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
