\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "The Home Brew"
  meter = "Hornpipe"
  enteredby = "kastdeur"
  number = "101"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key d \major
  \time 4/4
}

bpm = \tempo 4 = 80

fluteA = \relative c' {
  \tuplet 3/2 { e16 fis g } |
  \repeat unfold 2 {
	a8. b16 a8. fis16	d8. e16 fis8. g16 |
	a8. g16 fis8 e16 d16	c'4. \breathe a8 |
	d8. cis16 d8. e16		fis8. d16 a8.
  } \alternative {
      \relative c' {
		fis16 |
		g4.\lroll fis8	g4 e8 fis16 g16 |
      }
      \relative c'' {
		g16 |
		fis4\sroll d4 d4.
      }
  }
}
fluteB = \relative c'' {
	d8 |
	fis4.\lroll d8	e8. d16 a8. fis16 |
	g8. g'16 \grace{ a8 } g8. fis16		g4 e8 fis16 g16 |
	a4.\lroll b8	a8. g16 e8. cis16 |
	d8. cis16 a8. fis16		g4 \breathe
	
	e8 fis16 g16 |
	a8. b16 a8. fis16	d8. e16 fis8. g16 |
	a8. d,16 fis8 e16 d16	c'4 a8 b16 cis16 |
	d8. cis16 d8. e16	fis8. d16 a8. g16 |
	fis4 d4 d4. \breathe
}

flute = \relative c'' {
  \global
  \repeat volta 2 {\partial 8 \fluteA \tag #'midiRemove s8}
  \break
  \repeat volta 2 {\partial 8 \fluteB \tag #'midiRemove s8}
}
chordA = \chordmode {
	d8 | d1 | d2 c2 | d1 | g2 e2:m |
	d1 | d2 c2 | d1 | d2..
}
chordB = \chordmode {
	d8 | d1 | g1 | a1 | d2 g2 |
	d1 | d2 c2 | d1 | d2..
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \repeat volta 2 {\partial 8 \chordA \tag #'midiRemove s8 }
  \repeat volta 2 {\partial 8 \chordB \tag #'midiRemove s8 }
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
