\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "Clancy's Dream"
  meter = "Jig"
  enteredby = "kastdeur"
  number = "63"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key d \major
  \time 6/8
}
bpm = \tempo 4. = 100

fluteA = \fixed c'' {
	fis8 a fis 	g8 a b |
	fis8 a a		\grace { b8 } a8 fis d |
	fis4 \breathe fis8	g8 a b |
	a8 fis d		e4.-\lroll |

	fis8 a fis 	g8 a b |
	fis8 a a		\grace { b8 } a8 fis d |
	fis4.-\lroll		d8 b, a, |
	b,8 d fis		e4. \breathe |
}
fluteB = \relative c'' {
  fis4-\sroll e8	d8 a a |
  b8 a a		d8 cis d |
  d8 fis e		d8 a a |
  b8 d fis		e4 d8 |
  
  fis4\breathe e8	d8 a a |
  b8 a a		d8 cis d |
  d8 fis e		d8 a a |
  b8 d fis		e4 d8 |
}

flute = \relative c'' {
  % Muziek volgt hier.
  \global
  \repeat volta 2 { \fluteA }
  \break
  \repeat volta 2 { \fluteB }
}
chordA = \chordmode {
  d4. g4. | d2. | d4. g4. | d4. a4. |
  d4. g4. | d2. | d4. g4. | b4.:m a4. |  
}
chordB = \chordmode {
	d2. | g2. | g4. d4. | b4.:m a4. |
	d2. | g2. | g4. d4. | b4.:m a4.
}
chordNames = \chordmode {
  \global

  % Akkoordnamen volgen.
  \repeat volta 2 { \chordA }
  \repeat volta 2 { \chordB }
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
