\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "Saddle the Pony"
  meter = "Jig"
  enteredby = "kastdeur"
  number = "56"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key g \major
  \time 6/8
}

bpm = \tempo 4. = 100

fluteA = \relative c' {
      \tuplet 3/2 { d16 e fis } |
      g8 b a g4 b8 |
      d8 e fis g8 d b |
      g8 b a g4\breathe b8 |
      a8 fis d a'8 fis d |
      g8 b a g4\breathe b8 |
      d8 e fis g4.\lroll |
      e8 fis e d8 b a |
      b8 g g g4 \breathe
   
}
fluteB = \relative c'' {
      b16 d |
      e4.\lroll e8 d b |
      d8 e fis g4.\lroll |
      e8 g e \grace{ \once \override Flag.stroke-style = #"grace" fis8 } e8 d b |
      d8 b a \grace{ \once \override Flag.stroke-style = #"grace" b8 } a4 \breathe d8 |
      e4.\lroll e8 d b |
      d8 e fis g4.\lroll |
      e8 g e d8 b a |
      b8 g fis g4 \breathe
}

flute = \relative c'' {
  % Muziek volgt hier.
  \global
  \repeat volta 2 { \partial 8 \fluteA \tag #'midiRemove s8}
  \break
  \repeat volta 2 { \partial 8 \fluteB \tag #'midiRemove s8}
}
chordA = \chordmode {
  g8 |
  g2. | d2. | g2. | d2. | g2. | d2. | c2. | g4. g4
}
chordB = \chordmode {
  g8 |
  e2.:m | d4. g4. | e2.:m | d2. |
  e2.:m | d4. g4. | c4. d4. | g4. g4
}
chordNames = \chordmode {
  \global

  % Akkoordnamen volgen.
  \repeat volta 2 { \partial 8 \chordA \tag #'midiRemove s8}
  \repeat volta 2 { \partial 8 \chordB \tag #'midiRemove s8}
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
