\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "The Mountain Lark"
  meter = "Reel"
  enteredby = "kastdeur"
  number = "68"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key g \major
  \time 4/4
}

bpm = \tempo 2 = 60

fluteA = \relative c'' {
  	g'8 fis |
  	e=''8 a, b a	e'8 a, b a |
  	g8 fis e fis	g4 \breathe fis8 g8 |
  	a4.\lroll b8	c8 b c d |
  	e8 fis g e	d4 \breathe
}
fluteB = \relative c'' {
	b8 c |
	d=''8 g g4\sroll	d8 g g4\sroll |
	e8 a a4\sroll	e8 a a4\sroll |
	e8 fis g e	d8 e fis g |
	\tuplet 3/2 { a8 g fis } g8 e	d4\breathe
}

flute = \relative c'' {
  % Muziek volgt hier.
  \global
  \tupletUp
  \repeat volta 2 {\partial 4 \fluteA s4}
  \repeat volta 2 {\partial 4 \fluteB s4}
}
chordA = \chordmode {
	s4 |
	a1:m | e2:m g2 | a2:m c2 | e2:m d4
}
chordB = \chordmode {
	s4 |
	g1 | a1:m | c2 g2 | e2:m d4
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \repeat volta 2 {\partial 4 \chordA s4}
  \repeat volta 2 {\partial 4 \chordB s4}
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
  \midi {
	\bpm
  }
}
