\version "2.19.80"

\header {
  title = "Thugamar Féin an Samhradh Linn"
  meter = "Slide"
  enteredby = "kastdeur"
  number = "40"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key g \major
  \time 12/8
}

bpm = \tempo 4. = 90

fluteA = \relative c'' {
  g8 a b a4 g8 e4 d8 d4. \breathe |
  g8 a b d4 c8 b8 a g a4. \breathe |
  d4 d8 c4 c8 b8 a g e4 d8 |
  g8 a b a4 g8 e4 d8 d4. \breathe |
}
fluteB = \relative c'' {
  d,8 e d g4 g8 a8 b a g4 d8
  g8 a b d4 c8 b8 a g a4. \breathe |
  d4 d8 c4 c8 b8 a g e4 d8 |
  g8 a b a4 g8 e4 d8 d4. \breathe |
}
fluteC = \relative c'' {
  d8 d d e4 e8 g,4 g8 e4 d8
  g8 a b d4 c8 b8 a g a4 \breathe d8 |
  d4 d8 c4 c8 b8 a g e4 d8 |
  g8 a b a4 g8 e4 d8 d4. \breathe |
}

flute = \relative c'' {
  \global
  \fluteA \bar "||"
  \fluteB \bar "||"
  \fluteC \bar "|."
}
chordA = \chordmode {
  g2. c4. d4. | g2. e4.:m d4. |
  g2. e2.:m | g2. c4. d4. |
}
chordB = \chordmode {
  g2. d2. | g2. e4.:m d4. |
  g2. e2.:m | g2. c4. d4. |
}
chordC = \chordmode {
  g2. e2.:m | g2. e4.:m d4. |
  g2. e2.:m | g2. c4. d4. |
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \chordA \bar "||"
  \chordB \bar "||"
  \chordC \bar "|."
}
chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
