\version "2.19.0"

\header {
  title = "Piobroch of Donuil Dubh"
  meter = "Regimental March Past of The Seaforth Highlanders"
  enteredby = "kastdeur"
}

global = {
  \key d \major
  \time 6/8
}

bpm = \tempo 4. = 90

mbreak = {}

thrwd = {}
grip = {} 

%\include "tinwhistle-bagpipe-embellishments.ily"

fluteA = \fixed c'' {
	\repeat unfold 2 {
		e8. [ cis16 cis8 ] fis8. [ g16 a8 ] |
		e8. [ cis16 cis8 ] cis8. [ b,16 a,8 ] |
	} \alternative {
		{
		  e8. [ cis16 cis8 ] fis8. [ g16 a8 ] |
		  e8. [ cis16 a,8 ] b,4 a,8 \mbreak |
		}
		{
		  b,4 cis8 \thrwd d8. [ e16 fis8 ] |
		  e8. [ cis16 a,8 ] b,4 a,8 |
		}
	}
}
fluteB = \fixed c'' {
	\repeat unfold 2 {
		e8. [ cis16 cis8 ] fis8. [ d16 d8 ] |
		e8. [ cis16 cis8 ] cis8. [ b,16 a,8 ] |
	} \alternative {
		{
		  e8. [ cis16 cis8 ] fis8. [ d16 d8 ] |
		  e8. [ cis16 a,8 ] b,4 a,8 \mbreak |
		}
		{
		  b,4 cis8 \thrwd d8. [ e16 fis8 ] |
		  e8. [ cis16 a,8 ] b,4 a,8 |
		}
	}
}
fluteC = \fixed c'' {
	\repeat unfold 2 {
		\grip e4 a,8 \grip fis4 a,8 |
		\grip e4 a,8 cis8. [ b,16 a,8 ] |
	} \alternative {
		{
		  \grip e4 a,8 \grip fis4 a,8 |
		  \grip e4 cis8 b,4 a,8 \mbreak |
		}
		{
		  b,4 cis8 \thrwd d8. [ e16 fis8 ] |
		  e8. [ cis16 a,8 ] b,4 a,8 |
		}
	}
}
fluteD = \fixed c'' {
	a8. e16 e8	a8. fis16 fis8 |
	a8. e16 e8	cis8. b,16 a,8 |
	a8. e16 e8	a8. fis16 fis8 |
	e8. cis16 a,8	b,4 a,8 |

	a8. e16 e8	a8. fis16 fis8 |
	<<
		\tag #'secondTime { a4 \grip a8	}
		\\
		\tag #'firstTime { a8. e16 e8	}
	>>
	cis8. b,16 a,8 |
	b,4 cis8 d8. e16 fis8 |
	e8. cis16 a,8	b,4 a,8 
}


flute = \relative c'' {
  \global
  \repeat volta 2 { \fluteA }
  \break
  \repeat volta 2 { \fluteB }
  \break
  \repeat volta 2 { \fluteC }
  \break
  \repeat volta 2 { \fluteD }
}

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \flutePart
  >>
  \layout { }
}

\score {
  \new Staff \with {
	instrumentName = "Fl."
	midiInstrument = "flute"
  } {
	\global
	\fluteA \fluteA
	\fluteB \fluteB
	\fluteC \fluteC
	\keepWithTag #'firstTime \fluteD \keepWithTag #'secondTime \fluteD
  }
  \midi {
	\bpm
  }
}
