\version "2.19.80"

\include "tinwhistle.ily"

\header {
  	title = "Off to California"
  	meter = "Hornpipe"
  	enteredby = "kastdeur"
  	number = "20"
  	source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  	\key g \major
  	\time 2/2
}

bpm = \tempo 4 = 80

fluteA = \relative c' {
	d8 e16 fis |
	g8. fis16	g8. b16		a8. g16	e8. d16 |
	g8. b16	d8. g16		e4 \breathe	d16 e fis8 |
	g8. fis16 g8. d16	e8. d16 b8. g16 |
	a8. b16 a8. g16		e4 \breathe

	d16 e fis8 |
	g8. fis16	g8. b16		a8. g16	e8. d16 |
	g8. b16	d8. g16		e4 \breathe	d16 e fis8 |
	g8. fis16 g8. d16	e8. d16 b8. g16 |
	a8. g16 e8. fis16	g4 \breathe

}
fluteB = \relative c'' {
	b8. d16 |
	g8. fis16 e8. g16	fis8. e16 d8. fis16 |
	e8. d16 e8. fis16	e8. d16 b4 \breathe |
	g'8. fis16 g8. d16	e8. d16 b8. g16 |
	a8. b16 a8. g16	e4 \breathe

	d16 e fis8 |
	g8. fis16	g8. b16		a8. g16	e8. d16 |
	g8. b16	d8. g16		e4 \breathe	d16 e fis8 |
	g8. fis16 g8. d16	e8. d16 b8. g16 |
	a8. g16 e8. fis16	g4 \breathe
}

flute = \relative c'' {
	\global
	\repeat volta 2 {\partial 4 \fluteA \tag #'midiRemove s4}
	\break
	\repeat volta 2 {\partial 4 \fluteB \tag #'midiRemove s4}
}
chordA = \chordmode {
	g4 | g2 c2 | g2 c2 | g2 e2:m | a2:m d2 |
	g2 c2 | g2 c2 | g2 e2:m | c2 g4
}
chordB = \chordmode {
  	g4 | e2:m d2 | e2:m d2 | g2 e2:m | a2:m d2 |
	g2 c2 | g2 c2 | g2 e2:m | c2 g4
}
chordNames = \chordmode {
	\global
	% Akkoordnamen volgen.
	\repeat volta 2 {\partial 4 \chordA \tag #'midiRemove s4 }
	\repeat volta 2 {\partial 4 \chordB \tag #'midiRemove s4 }
}

chordsPart = \new ChordNames \with {
	chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
	instrumentName = "Fl."
	midiInstrument = "flute"
} \flute

\score {
	<<
  		\chordsPart
  		\flutePart
	>>
	\layout { }
}
\score {
	\unfoldRepeats \removeWithTag #'midiRemove <<
  		\chordsPart
  		\flutePart
	>>
	\midi {
		\bpm
	}
}
