\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "The Greencastle Hornpipe"
  meter = "Hornpipe"
  enteredby = "kastdeur"
  number = "60"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key g \major
  \time 4/4
}

bpm = \tempo 4 = 80

fluteA = \relative c'' {
  \repeat unfold 2 {
    d8. c16 |
    b8. g16 d8. g16	b8. g16 d8. g16 |
    \tuplet 3/2 { g'8 a g } fis8. g16	e4 \breathe
  } \alternative {
      {
        d8. c16 |
        b8. g16 d8. g16	b8. g16 d8. g16 |
        d'8. c16 b8. c16	a4 \breathe
      }
      {
         d8. c16 |
         b8. g'16 fis8. g16 e8. c16 a8. fis16 |
         g4 b4 g4 \breathe
      }
  }
        
  
}
fluteB = \relative c'' {
  g'=''8. a16 |
  b8. a16 g8. fis16	e8. fis16 g8. a16 |
  b8. a16 g8. fis16 e4 \breathe	fis8. g16 |
  a8. g16 fis8. e16	d8. e16 fis8. g16 |
  a8. g16 fis8. e16 d4 \breathe
  
  e8. fis16 |
  g4.\lroll d8	\tuplet 3/2 { e8 fis g } d8. b16 |
  c8. b16 a8. b16	c8. d16 e8. fis16 |
  g4.\lroll d8	e8. c16 a8. fis16 |
  g4 b4 g4 \breathe
  
}

flute = \relative c'' {
  \global
  \repeat volta 2 {\partial 4 \fluteA \tag #'midiRemove s4}
  \break
  \repeat volta 2 {\partial 4 \fluteB \tag #'midiRemove s4}
}
chordA = \chordmode {
  g4 |
  g1 | c1 | g1 | d1 |
  g1| e2:m c2 | g2 d2 | g2.
}
chordB = \chordmode {
  g4 |
  e1:m | e1:m | a2:m d2 | a2:m d2 |
  g2 e2:m | a2:m c2 | g2 d2 | g2.
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \repeat volta 2 {\partial 4 \chordA \tag #'midiRemove s4 }
  \repeat volta 2 {\partial 4 \chordB \tag #'midiRemove s4 }
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
