\version "2.19.80"

\header {
  title = "The Harvest Home"
  meter = "Hornpipe"
  enteredby = "kastdeur"
  number = "38"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key d \major
  \time 4/4
}

bpm  = \tempo 4 = 80

fluteA = \relative c'' {
  a8. fis16 |
  d8.[ a'16 fis8. a16] d,8.[ a'16 fis8 a8] |
  d8.[ e16 fis8. e16] d8.[ cis16 b8. a16] |
  e'4 \breathe fis8. a,16 g'8.[ a,16 fis'8. a,16] \breathe |
  \tuplet 3/2 { e'8( fis e) } \tuplet 3/2 { d8( cis b) } a8.[ g16 fis8. e16] |

  d8.[ \breathe a'16 fis8. a16] d,8.[ a'16 fis8 a8] |
  d8.[ e16 fis8. e16] d8.[ cis16 b8. a16] |
  e'8.[ a,16 fis'8. a,16] g'8.[ e16 cis8. e16] |
  d4 fis4 d4 \breathe
}
fluteB = \relative c'' {
  cis8. d16 |
  e8. a,16 \tuplet 3/2 { a8( a a) } fis'8. a,16 \tuplet 3/2 { a8( a a) } |
  g'8. a,16 \tuplet 3/2 { a8( a a) } fis'8. a,16 \tuplet 3/2 { a8( a a) } |
  \breathe e'8.[ a,16 fis'8. a,16] g'8. a,16 fis'4 \breathe |
  \tuplet 3/2 { e8( fis e) } \tuplet 3/2 { d8( cis b) } \tuplet 3/2 { a8( b a) } \tuplet 3/2 { g8( fis e) }

  d8.[ a'16 fis8. a16] d,8.[ a'16 fis8 a8] |
  d8.[ e16 fis8. e16] d8.[ cis16 b8. a16] |
  e'4 \breathe fis8. a,16 g'8.[ e16 cis8. e16] |
  d4 fis4 d4 \breathe
}

flute = \relative c'' {
  \global
  \slurUp
  \tupletUp
  \repeat volta 2 {\partial 4 \fluteA \tag #'midiRemove s4}
  \break
  \repeat volta 2 {\partial 4 \fluteB \tag #'midiRemove s4}
}
chordA = \chordmode {
  d4 |
  d1*2 | a2 g2 | a2 g2 |
  d1*2 | a2 g2 | d2.
}
chordB = \chordmode {
  d4 |
  a2 d2 | g2 d2 | e1:m | g2 a2 |
  d1*2 | e2:m a2 | d4 a4 d4
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \repeat volta 2 {\partial 4 \chordA \tag #'midiRemove s4 }
  \repeat volta 2 {\partial 4 \chordB \tag #'midiRemove s4 }
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
