\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "The Home Ruler"
  meter = "Hornpipe"
  enteredby = "kastdeur"
  number = "93"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key d \major
  \time 4/4
}

bpm = \tempo 4 = 80

fluteA = \relative c'' {
	d,='4 fis8. a16 d,4 fis8. a16 |
	d8. fis16 e8. d16 b4 \breathe d8. b16 |
	a4.\lroll b8 a8. fis16 d8. e16 |
	fis8. d16 e8. d16 b'8. d16 a8. b16 |


	d,='4 fis8. a16 d,4 fis8. a16 |
	d8. fis16 e8. d16 b4 \breathe d8. b16 |
	a4.\lroll b8 a8. fis16 d8. g16 |
	fis4 d4 d2 |
}
fluteB = \relative c'' {
	a='8. d16 d8. cis16 d4 d8. fis16 |
	a8. fis16 b8. fis16 a8. fis16 e8. d16 |
	e4.\lroll d8 b8. a16 d8. e16 |
	fis8. d16 e8. d16  b8. d16 a8. b16 |

	d=''4 d8. cis16 d4 \breathe d8. fis16 |
	a8. fis16 b8. fis16 a8. fis16 e8. d16 |
	e8. fis16 e8. d16  b8. a16 d8. b16 |
	a8. fis16 e8. fis16 d2 \breathe |
}

flute = \relative c'' {
  \global
  \repeat volta 2 { \fluteA }
  \break
  \repeat volta 2 { \fluteB }
}
chordA = \chordmode {
	d1 | d2 g2 | d1 | d2 g4 a4 |
	d1 | b2:m g2 | d2 a2 | d1
}
chordB = \chordmode {
	d2 g2 | d2 a2 | e1:m | d2 g4 a4 |
	d2 g2 | d2 a2 | e2:m g2 | d1
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \repeat volta 2 { \chordA }
  \repeat volta 2 { \chordB }
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
