\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "The Honeysuckle"
  meter = "Hornpipe"
  enteredby = "kastdeur"
  number = "94"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key d \major
  \time 4/4
}

bpm = \tempo 4 = 80

fluteA = \relative c'' {
  \repeat unfold 2 {
      a16 b cis8 |
      d4\breathe cis8. a16	b16 cis d8 a8. fis16 |
      d8. fis16 a8. fis16	g8. b16 a8. g16 |
      fis8. a16 d8. 	
  } \alternative {
    {
      a16	fis8. a16 d8. fis16 |
      e8. d16 cis8. b16	a8. b16
    }
    {
      b16	a8. g16 fis8. e16 |
      fis4 d4	d4 \breathe
    }
  }
}
fluteB = \relative c'' {
  a16 b cis8 |
  d8. cis16 d8. e16	fis8. d16 e8. cis16 |
  d8. e16 fis8. g16	a4.-\lroll fis8 |
  g8. e16 \grace { \once \override Flag.stroke-style = #"grace" fis8 } e8. g16	fis8. d16 d8. fis16 |
  e8. d16 cis8. b16	a8. b16
  
  a16 b cis8 |
  d4\breathe cis8. a16	b16 cis d8 a8. fis16 |
  d8. fis16 a8. fis16	g8. b16 a8. g16 |
  fis8. a16 d8. b16	a8. g16 fis8. e16 |
  fis4 d4	d4 \breathe
}

flute = \relative c'' {
  \global
  \repeat volta 2 {\partial 4 \fluteA \tag #'midiRemove s4}
  \break
  \repeat volta 2 {\partial 4 \fluteB \tag #'midiRemove s4}
}
chordA = \chordmode {
  d4 |
  d1 | d2 g2 | d2 b2:m | e2:m a2 |
  d1 | d2 g2 | b2:m a2 | d2.
}
chordB = \chordmode {
  d4 |
  d2 b2:m | d2 a2 | e2:m d2 | e2:m a2 |
  d1 | d2 g2 | b2:m a2 | d2.
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \repeat volta 2 {\partial 4 \chordA \tag #'midiRemove s4 }
  \repeat volta 2 {\partial 4 \chordB \tag #'midiRemove s4 }
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
