\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "Donnybrook Fair"
  meter = "Jig"
  enteredby = "kastdeur"
  number = "45"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key g \major
  \time 6/8
}

bpm = \tempo 4. = 100

fluteA = \relative c' {
  d8 |
  g4.\lroll a8 g a |
  b8 e e d8 b a |
  b4.\lroll g8 a b |
  a8 g e e4 \breathe
  
  d8 |
  g4.\lroll a8 g a |
  b8 e e d8 b a |
  b4.\lroll g8 a b |
  a8 g fis g4 \breathe
}
fluteB = \relative c'' {
  d8 |
  g4.\lroll fis8 e d |
  e4.\lroll  d8 b a |
  b8 e e d8 b a |
  b8 e e e4 \breathe
  
  fis8 |
  g4.\lroll fis8 e d |
  e8 g e d8 b a |
  b4.\lroll g8 a b |
  a8 g fis g4 \breathe  
}

flute = \relative c'' {
  \global
  \repeat volta 2 {\partial 8 \fluteA \tag #'midiRemove { s8 |} }
  \break
  \repeat volta 2 {\partial 8 \fluteB \tag #'midiRemove { s8 |} }
}

chordA = \chordmode {
  s8 |
  g2. | e2.:m | g2. | d2. |
  g2. | e2.:m | g4. e4.:m | d4. g4
}
chordB = \chordmode {
  s8 |
  g4. d4. | c2. | e4.:m d4. | e2.:m |
  g2. | c2. | g4. e4.:m | d4. g4
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \repeat volta 2 {\partial 8 \chordA \tag #'midiRemove { s8 |} }
  \repeat volta 2 {\partial 8 \chordB \tag #'midiRemove { s8 |} }
}

flutePart = \new Staff \with {
    instrumentName = "Fl."
    midiInstrument = "flute"
  } \flute
chordsPart = \new ChordNames \chordNames

\score {
 <<
   \chordsPart
   \flutePart
 >>
  \layout { }
}

\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
