\version "2.19.80"

\header {
  title = "Kid on the Mountain"
  meter = "Slip Jig"
  enteredby = "kastdeur"
  source = ""
}

global = {
  \key e \minor
  \time 9/8
}
bpm = \tempo 4. = 100

fluteA = \relative c' {
	e4 e8	fis8 e fis	g4 fis8 |
	e4.	b'8 c a	b8 g e |
	e4 e8	fis8 e fis	g4 a8 |
	b8 a g	fis8 a g	fis8 e d
}
fluteB = \relative c'' {
	b8 g b	a8 fis a	g4 d8 |
	g8 a b	d8 g e	d8 b a |
	b8 g b	a8 fis a	g4 a8 |
	b8 a g	fis8 a g	fis8 e d

}
fluteC = \relative c'' {
	g'8 fis g	e8 b e	e4 fis8 |
	g8 fis g	e8 fis g	a8 fis d |
	g8 fis g	e8 b e	e4 a8 |
	b8 a g	fis8 a g	fis8 e d
}
fluteD = \relative c'' {
	e8 b b	e4 fis8	g4 fis8 |
	e8 b b	e8 fis g	a8 fis d |
	e8 b b	e4 fis8	g4	a8 |
	b8 a g	fis8 a g	fis8 e d |

}
fluteE = \relative c'' {
	e8 d b	d8 b a	g4 d8 |
	g8 a b	d8 g e	d8 b a |
	e'8 d b	d8 b a	g4 a8 |
	b8 a g	fis8 a g	fis8 e d

}

flute = \relative c'' {
  % Muziek volgt hier.
  \global
  \repeat volta 2 { \fluteA }
  \break
  \repeat volta 2 { \fluteB }
  \break
  \repeat volta 2 { \fluteC }
  \break
  \repeat volta 2 { \fluteD }
  \break
  \repeat volta 2 { \fluteE }
}
chordA = \chordmode {
	e4.:m d4. g4. |
	g4. b2.:7 |
	e4.:m d4. g4. |
	g4. d2. |
}
chordB = \chordmode {
	e4.:m d4. g4. |
	g4. d4. g4. |
	e4.:m d4. g4. |
	g4. d2. |
}
chordC = \chordmode {
	e2.:m e4.:m |
	g4. d2. |
	e2.:m e4.:m |
	g4. d2. |
}
chordD = \chordmode {
	e2.:m e4.:m |
	e4.:m d2. |
	e2.:m e4.:m |
	g4. d2. |
}
chordE = \chordmode {
	g4. d4. g4. |
	g4. d4. g4. |
	g4. d4. g4. |
	g4. d4. d4. |
}
chordNames = \chordmode {
  \global

  % Akkoordnamen volgen.
  \repeat volta 2 { \chordA }
  \repeat volta 2 { \chordB }
  \repeat volta 2 { \chordC }
  \repeat volta 2 { \chordD }
  \repeat volta 2 { \chordE }
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
