\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "The Blacksmith"
  meter = "Reel"
  enteredby = "kastdeur"
  number = "52"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

global = {
  \key g \major
  \time 4/4
}

bpm = \tempo 4 = 100

fluteA = \relative c'' {
  d8 b4.-\lroll
  d8 b g b |
  d8 b4.-\lroll
  a8 g c a |
  d8 b4.-\lroll
  d8 b g4 \breathe  |
  c8 a b g
  a8 b c a |    
}
fluteB = \relative c'' {
  g4 \breathe b8 g 
  d8 g b g |
  g4-\sroll b8 g
  a8 b c a |
  g4 \breathe b8 g 
  d8 g b g |
  c8 a b g
  a8 b c a |    
}

flute = \relative c'' {
  % Muziek volgt hier.
  \global
  \tupletUp
  \repeat volta 2 { \fluteA }
  \repeat volta 2 { \fluteB }
}
chordA = \chordmode {
  g1 |
  g2 d2 |
  g1 |
  a2:m d2 |
}
chordB = \chordmode {
  g1 |
  g2 d2 |
  g1 |
  a2:m d2 |
}
chordNames = \chordmode {
  \global

  % Akkoordnamen volgen.
  \repeat volta 2 { \chordA }
  \repeat volta 2 { \chordB}
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}

\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
    \bpm
  }
}
