\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "The Musical Priest"
  meter = "Reel"
  enteredby = "kastdeur"
  number = "24"
  source = "Ireland's Best Tin Whistle Tunes Volume 2"
}

global = {
  \key b \minor
  \time 4/4
}

bpm = \tempo 4 = 100

fluteA = \relative c'' {
	b8 a
	|
	fis8 b \grace{ cis8 } b a
	b8 a b d
	|
	cis8 b a fis'
	e8 cis

	b a
	|
	fis8 b \grace{ cis8 } b a 
	b8 a \tuplet 3/2 { b8 cis d }
	|
	cis8 b a fis
	b4 \breathe

}
fluteB = \relative c'' {
	b8 cis
	|
	d4 d8 cis
	d8 fis e d
	|
	\tuplet 3/2 { cis8 b a } e' a,
	fis'8 a, e' a,
	|

	d8 cis b cis
	d8 b' \grace{ cis8 } a8 fis 
	|
	e8 d cis d
	b4 \breathe
	
}
fluteC = \relative c'' {
	b8 cis
	|
	d8 b \lroll b4
	b'8 a fis b
	|
	a8 fis e cis
	a cis e cis
	|
	
	d8 b \lroll b4
	b'8 a fis b
	|
	a8 fis e d
	b4 \breathe
}
flute = \relative c'' {
  % Muziek volgt hier.
  \global
  \tupletUp
  \repeat volta 2 { \partial 4 \fluteA }
  \repeat volta 2 { \partial 4 \fluteB }
  \repeat volta 2 { \partial 4 \fluteC }
}
chordA = \chordmode {
	b4:m |
	b1:m |
	a1 |
	b1:m |
	fis2:m b4:m
}
chordB = \chordmode {
	b4:m |
	d1 |
	a1 |
	b1:m |
	a2 b4:m
}
chordC = \chordmode {
	b4:m |
	b1:m |
	a1 |
	b1:m |
	a2 b4:m
}
chordNames = \chordmode {
  \global

  % Akkoordnamen volgen.
  \repeat volta 2 { \partial 4 \chordA }
  \repeat volta 2 { \partial 4 \chordB }
  \repeat volta 2 { \partial 4 \chordC }
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}

\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
    \bpm
  }
}

