\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "The Traveller"
  meter = "Reel"
  enteredby = "kastdeur"
  number = "31"
  source = "Ireland's Best Tin Whistle Tunes Volume 2"
}

global = {
  \key g \major
  \time 4/4
}

bpm = \tempo 4 = 100

fluteA = \relative c'' {
	g4.\lroll b8
	d8 g, b d |
	c8 b c d
	c8 b a g |
	\tuplet 3/2 { b8 c d } g8 d
	e8 g d b |
	c8 b a g
	fis8 a d,4 \breathe

	g4.\lroll b8
	d8 g, b d |
	c8 b c d
	c8 b a g |
	b8 d g d
	e8 g d b |
}
fluteABA = \relative c'' {
	c8 a fis a
	g4.\lroll \breathe d8 |
}
fluteABB = \relative c'' {
	c8 a fis a
	g4.\lroll \breathe d'8 |
}
fluteB = \relative c'' {
	g'4\sroll d8 g
	e8 g d g |
	g4\sroll b8 g 
	a8 g e fis |
	g4 d8 g
	e8 g d b |
	c8 b a g
	fis8 a d,4 \breathe

	g'4.\lroll d8
	e8 g d b |
	g'8 a b g 
	a8 g e fis |
	g4.\lroll a8
	g8 fis e d |
	e8 g fis a
	g4. \breathe d8
}

flute = \relative c'' {
  % Muziek volgt hier.
  \global
  \tupletUp
  \repeat volta 2 { \fluteA }
	\alternative {
		\fluteABA
		\fluteABB
	}
  \break
  \repeat volta 2 { \fluteB }
}
chordA = \chordmode {
	g1 |
	g2 a2:m |
	g1 |
	c2 d2 |

	g1 |
	g2 a2:m |
	g2 c2
}
chordABA = \chordmode {
	d2 g2 |
}
chordABB = \chordmode {
	c4 d4 g2 |
}
chordB = \chordmode {
	g1 |
	g2 d2 |
	d1 |
	c2 d2 |

	g1 |
	g2 g/b2 |
	c2 g/b2 |
	a4:m d4 g2 |
}
chordNames = \chordmode {
  \global

  % Akkoordnamen volgen.
  \repeat volta 2 { \chordA }
	\alternative {
		\chordABA
		\chordABB
	}
  \repeat volta 2 { \chordB}
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}

\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
    \bpm
  }
}

