\version "2.19.80"

\include "tinwhistle.ily"

\header {
  title = "Mary Willie's"
  meter = "Slide"
  enteredby = "kastdeur"
  number = "107"
  source = "Ireland's Best Tin Whistle Tunes Volume 2"
}

global = {
  \key d \major
  \time 12/8
}

bpm = \tempo 4. = 90

fluteA = \relative c'' {
	d4 e8	\grace{ a8 } fis4 e8
	d8 cis d	b8 a b 
	|
	g'4 a,8	cis8 b a
	e'4 a,8	cis8 b a
	|

	d4 \breathe e8	\grace{ a8 } fis4 e8
	d8 cis d	b4.\lroll
	|
	g'4 a,8	cis8 b a
	d4.	\grace{ a'8 } d,4 \breathe a8
}
fluteB = \relative c'' {
	d4 \breathe e8	\grace{ a8 } fis4 a8
	b8 a fis	a4 fis8
	|
	\grace{ a8 } e4	a,8	cis8 b a
	e'4 a,8	cis8 b a
	|

	\grace{ a'8 } d,4 \breathe e8	fis4 a8
	b8 a fis	a4 fis8
	|
	e4 a,8	cis8 b a
	d4.	\grace{ a'8 } d,4. \breathe
}

flute = \relative c'' {
  \global
  \repeat volta 2 { \fluteA }
  \repeat volta 2 { \fluteB }
}
chordA = \chordmode {
  d1. | g2. a2. |
  d1. | g2. d2. |
}
chordB = \chordmode {
  d1. | a1. |
  d1. | g4. a4. d2. |
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \repeat volta 2 { \chordA }
  \repeat volta 2 { \chordB }
  
  
}
chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}
\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
